### Function

# Secret Item load_secrets

#### Declaration [src]

    void
    secret_item_load_secrets (
      GList* items,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Load the secret values for a secret item stored in the service.

The `items` must all have the same `SecretItem:service` property.

This function returns immediately and completes asynchronously.

#### Parameters

`items` | A list of `None`
| The items to retrieve secrets for.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.